<?xml version="1.0" encoding="UTF-8"?>
<queryMap desc="COM_BASE_INFO">
    <query id="ComBaseSplineStdSpec.Query" desc="查询">
        <![CDATA[
SELECT T.*
  FROM COM_BASE_SPLINE_STD_SPEC T
  WHERE T.ID = {0}
        ]]>
    </query>
    
    <query id="ComBaseSplineStdSpec.insert" desc="查询">
        <![CDATA[
Insert into COM_BASE_SPLINE_STD_SPEC
  (item_code_s,
   min_d,
   max_d,
   min_h,
   max_h,
   min_d_sign,
   max_d_sign,
   min_h_sign,
   max_h_sign,
   id,
   SEQ)
values
  ({0},
   {1},
   {2},
   {3},
   {4},
   {5},
   {6},
   {7},
   {8},
   {9},
   (SELECT NVL(MAX(A.SEQ), 0) + 1 FROM COM_BASE_SPLINE_STD_SPEC A WHERE A.ID = {9}))
        ]]>
    </query>
    
    <query id="ComBaseSplineStdSpec.update" desc="查询">
        <![CDATA[
update COM_BASE_SPLINE_STD_SPEC
   set item_code_s = {0},
       min_d = {1},
       max_d = {2},
       min_h = {3},
       max_h = {4},
       min_d_sign = {5},
       max_d_sign = {6},
       min_h_sign = {7},
       max_h_sign = {8}
 WHERE ID = {9}
 AND SEQ = {10}
        ]]>
    </query>
    
    <query id="ComBaseSplineStdSpec.delete" desc="查询">
        <![CDATA[
DELETE FROM COM_BASE_SPLINE_STD_SPEC T WHERE T.ID = {0} AND T.SEQ = {1}
        ]]>
    </query>
    
    <query id="ComBaseSplineStdSpec.deleteById" desc="查询">
        <![CDATA[
DELETE FROM COM_BASE_SPLINE_STD_SPEC T WHERE T.ID = {0}
        ]]>
    </query>
</queryMap>